Commit b6f375e5 authored by Sébastien Wilmet's avatar Sébastien Wilmet
Browse files

Release 3.37.1 (development version)

parent 977c6429
GNOME LaTeX NEWS
Release 3.x.y, 2020-xx-yy (not yet released)
-------------------------
* Move more utils functions to Tepl.
* Use some Tepl I/O error info bars.
* Require Tepl 5.
* Remove some dead code.
* Translation updates.
Release 3.37.1, 2020-04-24
--------------------------
* User-visible changes:
- Use TeplPanel to create the side panel. This changes the UI for switching
between side panel components, it's now like a toolbar (so only a single
click is needed), before it was with a GtkComboBox list (so with two
clicks).
- Search and Go to line: better style for the text entry's not-found state.
- More beautiful close buttons at some places.
- Use some Tepl I/O error info bars.
- Translation updates.
* Under the hood changes:
- Port to TeplMetadata.
- Use TeplStatusbar.
- Use TeplStyleSchemeChooserWidget in the preferences dialog.
- Subclass TeplAbstractFactory, not TeplAbstractFactoryVala.
- Move more utility functions to Tepl.
- Remove some dead code.
- Remove no longer useful code related to stock icons.
- New classes in the liblatexila (so in C): LatexilaFactory, LatexilaSettings.
- Statistics for the Vala code, compared to version 3.36.0:
- 4 fewer *.vala files.
- 579 fewer Vala lines of code.
Release 3.36.0, 2020-03-31, “Corona”
------------------------------------
......
GNOME LaTeX
===========
This is the version 3.37.0 of GNOME LaTeX.
This is the version 3.37.1 of GNOME LaTeX.
GNOME LaTeX is a LaTeX editor for the GNOME desktop.
......@@ -19,9 +19,9 @@ Dependencies
------------
* GLib >= 2.56
* GTK+ >= 3.22
* GTK >= 3.22
* GtkSourceView >= 4.0
* Tepl >= 4.99 - https://wiki.gnome.org/Projects/Tepl
* Tepl >= 4.99.1 - https://wiki.gnome.org/Projects/Tepl
* gspell >= 1.8
* gee-0.8 >= 0.10
* gsettings-desktop-schemas
......
......@@ -5,7 +5,7 @@
AC_PREREQ([2.64])
AC_INIT([GNOME LaTeX],
[3.37.0],
[3.37.1],
[https://gitlab.gnome.org/GNOME/gnome-latex/issues],
[gnome-latex],
[https://wiki.gnome.org/Apps/GNOME-LaTeX])
......@@ -31,7 +31,7 @@ LT_INIT
GLIB_REQUIRED_VERSION="2.56"
GTK_REQUIRED_VERSION="3.22"
GTKSOURCEVIEW_REQUIRED_VERSION="4.0"
TEPL_REQUIRED_VERSION="4.99"
TEPL_REQUIRED_VERSION="4.99.1"
GSPELL_REQUIRED_VERSION="1.8"
VALA_REQUIRED_VERSION="0.46"
GEE_REQUIRED_VERSION="0.10"
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment